using ProjectPatientAccounting.Entities;
namespace ProjectPatientAccounting.Repositories.Implementations;

public class PatientRepository : IPatientRepository
{
    public void CreatePatient(Patient patient)
    {
    }

    public void DeletePatient(int id)
    {
    }

    public Patient ReadPatientById(int id)
    {
        return Patient.CreateEntity(0, string.Empty, string.Empty, string.Empty, 0);
    }

    public IEnumerable<Patient> ReadPatients()
    {
        return [];
    }

    public void UpdatePatient(Patient patient)
    {
    }
}
